<template>
  <div
    class="flex items-center px-4 border-b4 bg-background3 mobile-header h-[52px] relative"
  >
    <new-black-theme-hamburger-menu />
    <div v-if="!logo.IsHidden" class="logo w-full flex justify-center">
      <nuxt-link :to="logo.HyperLink ? `/${logo.HyperLink}` : '/'">
        <figure class="object-contain w-[90px] h-[30px]">
          <img
            :src="logo.ImagePath"
            alt="Dark Theme"
            class="object-contain object-center w-[90px] h-[30px]"
          />
        </figure>
      </nuxt-link>
    </div>
    <div v-if="auth" class="bk8-balance">
      <utils-balance-information :is-suspended="false" />
    </div>
  </div>
  <div
    v-if="!announcement.IsHidden && activedTab"
    class="py-2 bg-background1 h-[32px] sticky top-0 left-0 w-full overflow-hidden pl-4"
  >
    <div class="container flex items-center h-full mx-auto z-10">
      <utils-announcement :announcement="announcement.Text" />
    </div>
  </div>
</template>

<script setup lang="ts">
import { IThemePropertiesFromApi } from "~~/models/companyThemePropertiesRespone";
import { store } from "~~/store";

const props = defineProps<{
  themeProperties: IThemePropertiesFromApi[];
  auth?: boolean;
  activedTab?: boolean;
}>();

const logo = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(props.themeProperties, "logo")
);
const announcement = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      store.state.companyThemePropertiesFromApi.ThemeProperties,
      "announcement"
    )
);
</script>

<style lang="scss" scoped>
.bk8-balance {
  position: absolute;
  top: calc(50% - 8px);
  right: 16px;

  :deep(.balance) {
    margin-right: 0;
  }
}
</style>
